Bug 547625 - time drift in win2k364 KVM guest
Summary: time drift in win2k364 KVM guest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Gleb Natapov
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 543137
Blocks: 553441
TreeView+ depends on / blocked
 
Reported: 2009-12-15 08:33 UTC by RHEL Program Management
Modified: 2013-12-09 00:45 UTC (History)
9 users (show)

Fixed In Version: kvm-83-105.el5_4.14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 10:02:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
testscript and results under kvm-83-105.el5_4.13/18 with windows guests (40.00 KB, application/x-tar)
2010-01-13 09:38 UTC, Keqin Hong
no flags Details
Intel host: test results under kvm-83-105.el5_4.13/18 with windows guests (3.38 KB, application/x-gzip)
2010-01-15 10:08 UTC, Keqin Hong
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0088 0 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-02-09 10:01:51 UTC

Description RHEL Program Management 2009-12-15 08:33:39 UTC
This bug has been copied from bug #543137 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 7 Keqin Hong 2010-01-13 09:38:42 UTC
Created attachment 383438 [details]
testscript and results under kvm-83-105.el5_4.13/18 with windows guests

Comment 8 Keqin Hong 2010-01-13 09:43:59 UTC
Steps for Windows guests:
1. under cygwin, run "ntpdate -b clock.redhat.com" to adjust time.
2. run drift_test.exe as noted in https://bugzilla.redhat.com/show_bug.cgi?id=543137#c13
3. under cygwin, run "./checktime.sh <min> > out_file", which shall last for <min> minutes

Results:
-------------------------------------------------------------------
guests      | kvm-83-105.el5_4.13 (sec) | kvm-83-105.el5_4.18 
-------------------------------------------------------------------
win2k3-unp  |  ~127                     |  ok
win2k3-smp2 |  ~120                     |  ok (tested for 120 mins)
win2k8-unp  |  ~115                     |  ok
win2k8-smp2 |  ~123                     |  ok
-------------------------------------------------------------------
Notice cases in the above table all run for 10mins unless specially noted
 ,and "~127" means time drifted for around 127 seconds within 10 mins for instances.

Details can be seen via #7.

Comment 9 Keqin Hong 2010-01-15 10:08:02 UTC
Created attachment 384555 [details]
Intel host: test results under kvm-83-105.el5_4.13/18 with windows guests

Comment 10 Keqin Hong 2010-01-15 10:13:06 UTC
host:
Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr sse4_1 lahf_lm

-------------------------------------------------------------------
guests         | kvm-83-105.el5_4.13 (sec) | kvm-83-105.el5_4.18 
-------------------------------------------------------------------
win2k3-32-unp  |   ok                      |  ok
win2k3-32-smp2 |  ~47  (5min)              |  ok
win2k3-64-unp  |  ~167 (10min)             |  ok
win2k3-64-smp2 |  ~175 (10min)             |  ok
-------------------------------------------------------------------
win2k8-32-unp  |  ~50  (4min)              |  ok
win2k8-32-smp2 |  ~42  (5min)              |  ok
win2k8r2-unp   |  ~40  (4min)              |  ok
win2k8r2-smp2  |   ok                      |  ok
-------------------------------------------------------------------
Notice "~47  (5min)" means time drifted for around 47 seconds within 5 mins for
instance.

Details can be seen via #9.

p.s.
In comment #8, host is AMD, win2k3 is win2k3-64, and win2k8 is win2k8r2 to be exact.

Comment 13 errata-xmlrpc 2010-02-09 10:02:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0088.html


Note You need to log in before you can comment on or make changes to this bug.